Package org.eclipse.mat.ui.internal

## Class CheatSheetStandbyContent

- java.lang.Object
- - org.eclipse.mat.ui.internal.CheatSheetStandbyContent

All Implemented Interfaces:
  `IStandbyContentPart`

    public final class CheatSheetStandbyContent
    extends java.lang.Object
    implements IStandbyContentPart

### Constructor Summary

Constructors
`CheatSheetStandbyContent()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `createPartControl​(Composite parent, FormToolkit toolkit)`
`void` `dispose()`
`Control` `getControl()`
`void` `init​(IIntroPart introPart, IMemento memento)`
`void` `saveState​(IMemento memento)`
`void` `setFocus()`
`void` `setInput​(java.lang.Object input)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CheatSheetStandbyContent

    public CheatSheetStandbyContent()

### Method Detail

#### init

    public void init​(IIntroPart introPart,
                     IMemento memento)

Specified by:
  `init` in interface `IStandbyContentPart`

#### createPartControl

    public void createPartControl​(Composite parent,
                                  FormToolkit toolkit)

Specified by:
  `createPartControl` in interface `IStandbyContentPart`

#### getControl

    public Control getControl()

Specified by:
  `getControl` in interface `IStandbyContentPart`

#### setInput

    public void setInput​(java.lang.Object input)

Specified by:
  `setInput` in interface `IStandbyContentPart`

#### setFocus

    public void setFocus()

Specified by:
  `setFocus` in interface `IStandbyContentPart`

#### dispose

    public void dispose()

Specified by:
  `dispose` in interface `IStandbyContentPart`

#### saveState

    public void saveState​(IMemento memento)

Specified by:
  `saveState` in interface `IStandbyContentPart`